For the complete documentation index, see llms.txt. This page is also available as Markdown.

Keywords

Get Keyword

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
keywordIdstringRequired
Responses
200

Success

application/json
get/keywords/{keywordId}
GET /v3/keywords/{keywordId} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "keyword": "text",
    "shortcode": "text",
    "destinationGroupId": 1,
    "created": "2026-01-01T00:00:00.000Z",
    "nonavidWelcomeMessage": "text",
    "longcode": 1,
    "includeContactCard": true,
    "includeSignupLink": true,
    "qrCodeTemplateId": 1,
    "description": "text",
    "destinationGroup": {
      "id": 1,
      "name": "text"
    },
    "textInNumbers": [
      "text"
    ]
  }
}

List Keywords

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
Responses
200

Success

application/json
get/keywords
GET /v3/keywords HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "keyword": "text",
        "shortcode": "text",
        "destinationGroupId": 1,
        "created": "2026-01-01T00:00:00.000Z",
        "nonavidWelcomeMessage": "text",
        "longcode": 1,
        "includeContactCard": true,
        "includeSignupLink": true,
        "qrCodeTemplateId": 1,
        "description": "text",
        "destinationGroup": {
          "id": 1,
          "name": "text"
        },
        "textInNumbers": [
          "text"
        ]
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Get Main Keyword

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

application/json
get/keywords/main
GET /v3/keywords/main HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "keyword": "text",
    "shortcode": "text",
    "destinationGroupId": 1,
    "created": "2026-01-01T00:00:00.000Z",
    "nonavidWelcomeMessage": "text",
    "longcode": 1,
    "includeContactCard": true,
    "includeSignupLink": true,
    "qrCodeTemplateId": 1,
    "description": "text",
    "destinationGroup": {
      "id": 1,
      "name": "text"
    },
    "textInNumbers": [
      "text"
    ]
  }
}

Last updated

Was this helpful?